Package org.springframework.ui.context

# Interface ThemeSource

All Known Subinterfaces:
  `HierarchicalThemeSource`

All Known Implementing Classes:
  `DelegatingThemeSource`, `ResourceBundleThemeSource`

@Deprecated(since="6.0") public interface ThemeSource
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Interface to be implemented by objects that can resolve `Themes`. This enables parameterization and internationalization of messages for a given 'theme'.

Author:
  Jean-Pierre Pawlak, Juergen Hoeller
See Also:
  - `Theme`

## Method Summary

Modifier and Type
Method
Description
`Theme`
`getTheme(String themeName)`
Deprecated.
Return the Theme instance for the given theme name.

## Method Details

### getTheme

@Nullable Theme getTheme(String themeName)
Deprecated.
Return the Theme instance for the given theme name.

The returned Theme will resolve theme-specific messages, codes, file paths, etc (for example, CSS and image files in a web environment).

Parameters:
  `themeName` - the name of the theme
Returns:
  the corresponding Theme, or `null` if none defined. Note that, by convention, a ThemeSource should at least be able to return a default Theme for the default theme name "theme" but may also return default Themes for other theme names.
See Also:
  - `org.springframework.web.servlet.theme.AbstractThemeResolver#ORIGINAL_DEFAULT_THEME_NAME`